%define module_name etercifs
%define module_version 4.3.6
%define module_release alt1

%define kversion 2.6.27
%define krelease alt2
%define flavour hpc-std

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/fs/cifs

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132635.2

Summary: Advanced Common Internet File System for Linux with Etersoft extension
License: GPLv2
Group: System/Kernel and hardware
URL: ftp://updates.etersoft.ru/pub/Etersoft/CIFS@Etersoft/

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%kversion

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

Requires: etercifs

%description
The CIFS VFS is a virtual file system for Linux to allow access to
servers and storage appliances compliant with the SNIA CIFS Specification
version 1.0 or later.
Popular servers such as Samba, Windows 2000, Windows XP and many others
support CIFS by default.
The CIFS VFS provides some support for older servers based on the more
primitive SMB (Server Message Block) protocol (you also can use the Linux
file system smbfs as an alternative for accessing these).
CIFS VFS is designed to take advantage of advanced network file system
features such as locking, Unicode (advanced internationalization),
hardlinks, dfs (hierarchical, replicated name space), distributed caching
and uses native TCP names (rather than RFC1001, Netbios names).

Unlike some other network file systems all key network function including
authentication is provided in kernel (and changes to mount and/or a mount
helper file are not required in order to enable the CIFS VFS). With the
addition of upcoming improvements to the mount helper (mount.cifs) the
CIFS VFS will be able to take advantage of the new CIFS URL specification
though.

This package has Etersoft's patches for WINE@Etersoft sharing access support.

%prep
rm -rf kernel-source-%module_name-%kversion-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%kversion-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%kversion-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build -C %_usrsrc/linux-%kversion-%flavour here=`pwd` SUBDIRS=`pwd` modules -j2

%install
%__install -d %buildroot/%module_dir
%__cp -a etercifs.ko %buildroot/%module_dir/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Wed Jul 15 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.3.6-alt1.132635.2
- Build for kernel-image-hpc-std-2.6.27-alt2.

* Wed Apr 15 2009 Konstantin Baev <kipruss@altlinux.org> 4.3.6-alt1
- 4.3.6

* Fri Apr 03 2009 Konstantin Baev <kipruss@altlinux.org> 4.3.2-alt1
- 4.3.2

* Thu Mar 19 2009 Konstantin Baev <kipruss@altlinux.org> 4.2.1-alt1
- 4.2.1

* Tue Mar 10 2009 Konstantin Baev <kipruss@altlinux.org> 4.2.0-alt1
- 4.2.0

* Thu Feb 12 2009 Konstantin Baev <kipruss@altlinux.org> 4.1.2-alt1
- 4.1.2
